package com.pqs9200.service.area;

import java.util.Date;
import java.util.List;

import com.njcn.pojo.commons.Level;
import com.njcn.pojo.commons.area.AreaGeneral;
import com.njcn.pojo.commons.area.Iec28;
import com.njcn.pojo.commons.device.EventCause;
import com.njcn.pojo.commons.device.EventChance;
import com.njcn.pojo.commons.device.EventDataList;
import com.njcn.pojo.commons.device.EventDensity;
import com.njcn.pojo.commons.device.EventTypeList;
import com.njcn.pojo.commons.device.LineInfo;
import com.pqs9200.pojo.commons.device.DevMapInfo;
import com.pqs9200.pojo.map.BaseMap;

/**
 * @author hongawen
 * @Date: 2018/11/2 11:31
 */
public interface IAreaService {

    // 根据区域、起始时间、截止时间获取暂降数据
    AreaGeneral getGeneralDate(String area, Date sTime, Date eTime);

    //概览区域数据
    AreaGeneral getGeneralDate(Date sTime, Date eTime);

    //根据用户选择区域查询严重度分析的结果
    Level queryLevel(String area, Date startTime, Date endTime);

    //根据用户选择区域查询严重度分析的结果
    Level queryLevel(Date sTime, Date eTime);

	public List<EventDensity> getEventDensity(Date startTime,Date endTime,String area);
	
	public List<EventDataList> getEventDataList(Date startTime,Date endTime,String area);

	public List<List> getEventDisdip(Date startTime,Date endTime,String area);

	public List<List> getIEC411(Date startTime,Date endTime,String area);

	public Iec28 getIEC28(Date startTime,Date endTime,String area);

	public EventChance getEventChance(Date startTime,Date endTime,String area);

	public List<EventCause> getEventCause(Date startTime,Date endTime,String area);
	
	public List<EventTypeList> getEventType(Date startTime,Date endTime,String area);
	
	public List<LineInfo> getEventMaps(Date startTime,Date endTime);
	
	public List<LineInfo> getGdcounts(Date startTime,Date endTime);

	DevMapInfo getDevMap(String area);

	BaseMap getBase(String jsonStr);
}
